![]() |
API Documentation
|
where {orgId} is the ID of an organization and {groupId} is the ID of one of this organization's groups.
GET - used to retrieve information about an organization's group, based on the group's ID.PUT - used to modify the fields of an organization's group and/or the association of classifications and the membership of Covata users with this group.DELETE - used to delete an organization's group.Note: The
GETandDELETEmethods take no parameters.
This API endpoint serves a number of purposes:
GET method of the <access-service>/api/v1/organisations/{orgId}/groups API endpoint, which retrieves a list of information for all groups in an organization. GET method call to this API endpoint is also returned in the response from a GET method call to the <access-service>/api/v1/organisations/{orgId}/groups endpoint. Therefore, if you do not require a group's description when retrieving information about the group, there is no need to call the GET method on this API endpoint.PUT method allows modification of a group's name and description, as well as:This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator's Guide) and conditions:
{orgId} of the request's URL.The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following optional parameters can also be sent in the body of the PUT request, each as individual members of a JSON object:
name - .
Example ():
A JSON-formatted response containing the following members:
description - .
Example (response from ...):
If the request succeeded, then an HTTP response status 200 OK is returned.